<?php
/**
 * Createing a contact us page pannel for customizer
 *
 */

// CREATING A SECTION IN CUSTOMIZER
$wp_customize->add_section(
	'lz_fitness_premium_contactus_section',
	array(
		'title' => __( 'Contact Us Page', 'gurukul' ),
        // 'panel' => 'lz_fitness_premium_home_panel'
		'priority' =>20
	)
);
// ENABLE/DISABLE FEATURED SECTION
/*$wp_customize->add_setting(
	'lz_fitness_premium_contactus_section_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_fitness_premium_contactus_section_disable',
		array(
			'settings'      => 'lz_fitness_premium_contactus_section_disable',
			'section'       => 'lz_fitness_premium_contactus_section',
			'label'         => __( 'Show Title and description at top', 'gurukul' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'gurukul' ),
				'off' => __( 'No', 'gurukul' )
			),
		)
	)
);
$wp_customize->add_setting(
	'lz_fitness_contactus_title_heading',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text'
	)
);
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize,'lz_fitness_contactus_title_heading',
		array(
			'settings'      => 'lz_fitness_contactus_title_heading',
			'section'       => 'lz_fitness_premium_contactus_section',
			'label'         => __( 'Contact Us Title & Description', 'gurukul' ),
		)
	)
);
// CONTACT US PAGE TITLE
$wp_customize->add_setting('lz_fitness_contactus_title', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control('lz_fitness_contactus_title', array('settings'=>'lz_fitness_contactus_title', 'section'=>'lz_fitness_premium_contactus_section','type'=>'text', 'label'=> __('contactus page title', 'gurukul')));
*/
$wp_customize->add_setting('lz_fitness_contactus_address_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize, 'lz_fitness_contactus_address_lbl',
		array(
			'settings'      => 'lz_fitness_contactus_address_lbl',
			'section'       => 'lz_fitness_premium_contactus_section',
			'label'         => __( 'Contact Us Address', 'gurukul' ),
		)
	)
);

$section = 'lz_fitness_premium_contactus_section';
// contactus PAGE address
// $wp_customize->add_setting('lz_fitness_contactus_address', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
// $wp_customize->add_control('lz_fitness_contactus_address', array('settings'=>'lz_fitness_contactus_address', 'section'=>'lz_fitness_premium_contactus_section','type'=>'textarea', 'label'=> __('Contact Us Address', 'gurukul')));

//ADD TEXTAREA BOX FOR SUB TITLE
$wp_customize->add_setting(
	'lz_fitness_contactus_addrress',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Address', 'lz-fitness-premium' ) 
	)
);
$wp_customize->add_control(
	'lz_fitness_contactus_addrress',
	array(
		'settings'      => 'lz_fitness_contactus_addrress',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Add Address', 'lz-fitness-premium' )
	)
);
lzAddElement($wp_customize, 'lz_fitness_contactus_address', $section, 'textarea', $label="Contact Us Address", 'lz_fitness_sanitize_text', 'Add Contact Address here..');

// contact us email 
$wp_customize->add_setting(
	'lz_fitness_contactus_emailid',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Email', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_contactus_emailid',
	array(
		'settings'      => 'lz_fitness_contactus_emailid',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'EmailType', 'lz-fitness-premium' )
	)
);
lzAddElement($wp_customize, 'lz_fitness_contactus_email', $section, 'text', $label="Contact Us Email", 'lz_fitness_sanitize_text', 'contact@example.com');
// contact us Phone 
$wp_customize->add_setting(
	'lz_fitness_contactus_phhone',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Phone', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_contactus_phhone',
	array(
		'settings'      => 'lz_fitness_contactus_phhone',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Phone No.', 'lz-fitness-premium' )
	)
);
lzAddElement($wp_customize, 'lz_fitness_contactus_phone', $section, 'text', $label="Contact Us Phone", 'lz_fitness_sanitize_text', '+1 565 565 656565');
// contact us form shortcode 
$wp_customize->add_setting('lz_fitness_contactus_shortcode_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control('lz_fitness_contactus_shortcode_lbl', array('settings'=>'lz_fitness_contactus_shortcode_lbl', 'section'=>'lz_fitness_premium_contactus_section','type'=>'text', 'label'=> __('Form Title', 'gurukul')));

lzAddElement($wp_customize, 'lz_fitness_contactus_shortcode_lbl', $section, 'text', $label="Form Title", 'lz_fitness_sanitize_text', 'CONTACT NOW');

lzAddElement($wp_customize, 'lz_fitness_contactus_shortcode', $section, 'text', $label="Form Shortcode", 'lz_fitness_sanitize_text', '[your shortcode]');

addColorPalatOption($wp_customize, 'lz_fitness_contactus_locationemailiconcolor', 'lz_fitness_premium_contactus_section', 'Location, Email & Phone Icon Color', '#444444');
addColorPalatOption($wp_customize, 'lz_fitness_contactus_locationemaillabelcolor', 'lz_fitness_premium_contactus_section', 'Location, Email & Phone Label Color', '#444444');
addColorPalatOption($wp_customize, 'lz_fitness_contactus_locationemailtextcolor', 'lz_fitness_premium_contactus_section', 'Location & Phone Text Color', '#444444');
addColorPalatOption($wp_customize, 'lz_fitness_contactus_emailtextcolor', 'lz_fitness_premium_contactus_section', 'Email Text Color', '#e46d07');

addColorPalatOption($wp_customize, 'lz_fitness_contactus_headingcolor', 'lz_fitness_premium_contactus_section', 'Contact Form Heading Color', '#ffffff');

addColorPalatOption($wp_customize, 'lz_fitness_contactus_labelcolor', 'lz_fitness_premium_contactus_section', 'Contact Form label color', '#ffffff');

addColorPalatOption($wp_customize, 'lz_fitness_contactusPlaceholderTextcolor', 'lz_fitness_premium_contactus_section', 'Contact Form Placeholder Text color', '#ffffff');

addColorPalatOption($wp_customize, 'lz_fitness_contactus_formtextcolor', 'lz_fitness_premium_contactus_section', 'Contact Form Text color', '#ffffff');
addColorPalatOption($wp_customize, 'lz_fitness_contactus_formDropdowntextcolor', 'lz_fitness_premium_contactus_section', 'Contact Form Dropdown Text color', '#000000');

addColorPalatOption($wp_customize, 'lz_fitness_contactus_textfieldbottomborder_color', 'lz_fitness_premium_contactus_section', 'Contact Form text field border color', '#ffffff');

addColorPalatOption($wp_customize, 'lz_fitness_contactus_FormBackgroundcolor', 'lz_fitness_premium_contactus_section', 'Contact Form Background color', '#e46d07');

addColorPalatOption($wp_customize, 'lz_fitness_contactus_FormButtonBackgroundcolor', 'lz_fitness_premium_contactus_section', 'Contact Form Button Background color', '#ffffff');

addColorPalatOption($wp_customize, 'lz_fitness_contactus_FormButtonTextcolor', 'lz_fitness_premium_contactus_section', 'Contact Form Button Text color', '#e46d07');


// ADDRESS GOOGLE/MSN/OTHER MAP IFRAME OR EMBADE CODE
$wp_customize->add_setting('lz_fitness_contactus_iframe_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize, 'lz_fitness_contactus_iframe_lbl',
		array(
			'settings'      => 'lz_fitness_contactus_iframe_lbl',
			'section'       => 'lz_fitness_premium_contactus_section',
			'label'         => __( 'Contact Us Address', 'gurukul' ),
		)
	)
);
// field for addeding the map code
$wp_customize->add_setting('lz_fitness_contactus_embade', array(/*'sanitize_callback' => 'esc_url_raw',*/ 'default'=>'Add your map embade code'));
$wp_customize->add_control('lz_fitness_contactus_embade', array('settings'=>'lz_fitness_contactus_embade', 'section'=>'lz_fitness_premium_contactus_section','type'=>'textarea', 'label'=> __('Code for map', 'gurukul')));

addColorPalatOption($wp_customize, 'lz_fitness_contactus_IframeBackgroundColor', 'lz_fitness_premium_contactus_section', 'map Background Color', '#e46d07');


// SOCIAL MEDIA URLS / LINKS
$wp_customize->add_setting('lz_fitness_contactus_sm_lbl', array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize, 'lz_fitness_contactus_sm_lbl',
		array(
			'settings'      => 'lz_fitness_contactus_sm_lbl',
			'section'       => 'lz_fitness_premium_contactus_section',
			'label'         => __( 'Social Media Links', 'gurukul' ),
		)
	)
);

$wp_customize->add_setting(
	'lz_fitness_contactus_followus',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default'           => __( 'Follow us on:', 'lz-fitness-premium' )
	)
);
$wp_customize->add_control(
	'lz_fitness_contactus_followus',
	array(
		'settings'      => 'lz_fitness_contactus_followus',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'text',
		'label'         => __( 'Follow us text', 'lz-fitness-premium' )
	)
);



// FACEBOOK 
$wp_customize->add_setting('lz_fitness_contactus_facebook',	array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_facebook',
	array(
		'settings'      => 'lz_fitness_contactus_facebook',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Facebook Url', 'gurukul' )
	)
);
// TWITTER
$wp_customize->add_setting('lz_fitness_contactus_twitter', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_twitter',
	array(
		'settings'      => 'lz_fitness_contactus_twitter',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Twitter Url', 'gurukul' )
	)
);
// Instagram
$wp_customize->add_setting('lz_fitness_contactus_instagram', array('default' => 'https://www.instagram.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_instagram',
	array(
		'settings'      => 'lz_fitness_contactus_instagram',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Instagram', 'gurukul' )
	)
);
// Youtube
$wp_customize->add_setting('lz_fitness_contactus_youtube', array('default' => 'https://www.Youtube.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_youtube',
	array(
		'settings'      => 'lz_fitness_contactus_youtube',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Youtube', 'gurukul' )
	)
);
// LINKED IN
$wp_customize->add_setting('lz_fitness_contactus_linkedin',array('default'=> 'https://linkedin.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('lz_fitness_contactus_linkedin',
	array(
		'settings'      => 'lz_fitness_contactus_linkedin',
		'section'       => 'lz_fitness_premium_contactus_section',
		'type'          => 'url',
		'label'         => __( 'Linkedin Url', 'gurukul' )
	)
);
addColorPalatOption($wp_customize, 'lz_fitness_contactus_SocialTaglinecolor', 'lz_fitness_premium_contactus_section', 'Social Tagline Color', '#444444');
addColorPalatOption($wp_customize, 'lz_fitness_contactus_SocialIconcolor', 'lz_fitness_premium_contactus_section', 'Social Icon Color', '#444444');
addColorPalatOption($wp_customize, 'lz_fitness_contactus_SocialIconhovercolor', 'lz_fitness_premium_contactus_section', 'Social Icon Hover Color', '#e46d07');
