<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package LZ Fitness Premium
 */
get_header(); ?>
<div class="container">
<header class="page-main-header">
		<?php the_title( '<h1 class="ht-main-title">', '</h1>' ); ?>
		<div class="clearfix"></div>
</header><!-- .entry-header -->
<div class="clearfix"></div>

<div class="breadcrumbbox">
	    <?php lz_fitness_lite_the_breadcrumb(); ?>
</div>
<div class="clearfix"></div>


<main id="innerpage-box">
		<div id="content-box" class="innerpage-whitebox">
			<?php while ( have_posts() ) : the_post(); ?>
				<?php get_template_part( 'template-parts/content', 'page' ); ?>
				<?php
				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;
				?>
			<?php endwhile; // End of the loop. ?>
		</div><!-- #main -->
		<div class="clearfix"></div>
		
		<div class="pagingation">
    		<?php lzGetPagination($query);?>
		</div>
</main><!-- #main -->
	</div>
	<?php get_footer(); ?>
