<?php
    /**
     * Use for the show the testimonials at home page and in testimonial page with shortcode
     * @param int $pageId default is null the id of a post
     * @param boolean $isCustomizer default is false if set to true it mean the output is set for the home page
     * @param int $i default null
     * @param boolean $showStaticVals default is false
     * @return void
     * @author Parag Chaure <parag.radical@outlook.com>
     * */
   function testimonialShortCode($pageId = null, $isCustomizer = false, $i = 0, $showStaticVals = false, $totalItems=0) {
    global $query;
    $args = array('post_type' => 'lz_fitness_testimoni');
    if (!empty($pageId)) {
        $args['page_id'] = absint($pageId);
    } else {
        $args['paged'] = max(1, get_query_var('paged'));
    }
    $args['posts_per_page'] = (!empty($args['posts_per_page'])) ? $args['posts_per_page'] : -1;
    $i = !empty($i) && is_numeric($i) ? $i : 0;
    $text = '';
    $query = new WP_Query($args);
    // print_r($query);
    if ($query->have_posts()):
        $cssCls = ($isCustomizer == false) ? 'row' : 'col-sm-10 col-sm-offset-1';

        ob_start();
        while ($query->have_posts()) : $query->the_post();
            $post = get_post();
            $lz_fitness_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'total-team-thumb');
           // echo"(($i == 0) || ($i%2)==0)".__LINE__;
            if(($i == 0) || ($i%1)==0){
                ?>
                <div class="item <?php if ($i == 0) { ?>active<?php } ?>">
                    <div class="row">
                        <?php
                    }
                    ?>

                    <div class="<?php echo $cssCls; ?>">
                        <?php if ($isCustomizer == false) { ?>
                        <div class="row page-testimonial-box">
                            <div class="col-md-3 col-md-offset-1 team-thumb">
                                <img src="<?php echo (!empty($lz_fitness_image[0])) ? $lz_fitness_image[0] : get_template_directory_uri() . '/images/team-thumb.png' ?>" class="img-responsive" alt="<?php the_title(); ?>" />
                           </div>
                           <div class="col-md-8 testimonial-content">
                            <?php } ?>
                            <h6 class="secondry-text"><?php the_title(); ?> <span> (<?php
                                    $name2 = get_post_meta($post->ID, 'testimonial_Sub_Title', false);
                                    echo (!empty($name2[0])) ? $name2[0] : '';
                                ?>) </span></h6>
                           <!--<div class="text-designation">
                                <?php
                                    $name2 = get_post_meta($post->ID, 'testimonial_Sub_Title', false);
                                    echo (!empty($name2[0])) ? $name2[0] : '';
                                ?>
                                </div> -->                       
                                <p><?php
                                if (has_excerpt()) {
                                    echo get_the_excerpt();
                                } else {
                                    echo lz_fitness_excerpt(get_the_content(), 250);
                                }
                                ?>
                            </p>

                            <?php if ($isCustomizer == false) { ?>
                        </div>
                        <div class="clearfix"></div>
                    </div>
                    <?php } ?>
                </div>
                <?php
            //echo"\n($i+1)%2 == 0 || $totalItems == ($i+1)";
                if(($i+1)%1 == 0 || $totalItems == ($i+1)){ ?>
            </div>
        </div>
        <?php
    }
    ?>

    <?php
endwhile;
$text = ob_get_contents();
ob_clean();
ob_end_flush();
endif;
wp_reset_postdata();
    // echo $text;
return $text;
}

 add_shortcode('TESTIMONIALS', 'testimonialShortCode');




    