<?php
/**
 * @package LZ Restaurant Premium
 */
if(get_theme_mod('lz_fitness_premium_facility_section_disable') != 'on' ){
	wp_enqueue_script('slider', get_template_directory_uri().'/js/slider.js', array(), '1.1', true);
	?>
	<section id="recent-post-section" class="ht-section">
		<div class="lightbox">
			<div class="recent-posts-box">
				<div class="wow fadeInUp" data-wow-duration="1s">
					<?php
					$showStatic = true;
					for( $i = 1; $i < 4; $i++ ){
						$lz_fitness_facility_page_id = get_theme_mod('lz_fitness_facility_page'.$i); 
						if(!empty($lz_fitness_facility_page_id)){
							$showStatic = false;
							break;
						}
					}
				//$lz_fitness_featured_sub_title = get_theme_mod('lz_fitness_featured_sub_title', 'Best of Photos');
					$lz_fitness_recent_product_title = get_theme_mod('lz_fitness_recent_product_title', 'QUANTITY DISCOUNTS & NO MINIMUM ORDER');
					$lz_fitness_facility_title = get_theme_mod('lz_fitness_facility_title', 'RECENT PRODUCTS');	
				//extra//
					$countword=str_word_count($lz_fitness_facility_title);
			// echo ' hLF '.
					$halfWd = floor($countword / 2);
					$wds = explode(' ',$lz_fitness_facility_title);
					$lz_fitness_facility_title_new = '';
					foreach($wds as $k=>$wd){
						if($k == $halfWd){
							$lz_fitness_facility_title_new .= '<span>';
						}
						$lz_fitness_facility_title_new .= $wd.' ';
						if(($k+1) == $countword){
							$lz_fitness_facility_title_new .= '</span>';
						}
					}
			// extra//			
					?>
					<div class="recent-product-main-heading">
						<div class="recent-product-title-tagline">
								<?php if($lz_fitness_recent_product_title){ ?>
									<h3 class="lz-recent-product-heading"><?php echo esc_html($lz_fitness_recent_product_title); ?></h3>
								<?php } ?>
						</div>
						<div class="clearfix"></div>
					</div>
					<div class="row">
						<div class="ht-section-title-tagline">
							<h2 class="ht-section-title lz-featured-heading">
								<?php
								if(!empty($lz_fitness_facility_title))	{
									echo ($lz_fitness_facility_title_new);
								} ?>
							</h2>
						</div>
						<div class="clearfix"></div>
					</div>
					<div class="row">
						<button class="slide-prev ctrl-btn pro-prev fa fa-chevron-left"></button>
						<button class="ctrl-btn pro-next fa fa-chevron-right slide-next"></button>
						<!-- Wrapper for slides -->
						<div class="slider" id="slider">
							<div class="slides" id="slide">
					    <!-- <div class="row-fluid">
					    	<div class="recent-box">-->
					    		<?php
					    		$args = array( 'post_type' => 'product', 'stock' => 1, 'posts_per_page' => 4, 'orderby' =>'date','order' => 'DESC' );
					    		$meta_query   = WC()->query->get_meta_query();
					    		$tax_query   = WC()->query->get_tax_query(); 
					    		
					    		$args = array(
					    				'post_type'   =>  'product',
					    				'stock'       =>  1,
					    				'posts_per_page' => -1, 
					    				'orderby'     =>  'date',
					    				'order'       =>  'DESC',
					    				'meta_query'  =>  $meta_query,
					    				'tax_query'   => $tax_query,
					    			);
					    		$loop = new WP_Query( $args );
					    		if($loop->post_count > 0){
					    		while ( $loop->have_posts() ) : $loop->the_post(); global $product; ?>

					    			<div class="col-md-3 slide-item featured-product padding0"> 
					    				<div id="recent-porduct">
					    					<div class="pro-img text-center">
					    						<h3><?php// the_title(); ?></h3>
					    						<a id="id-<?php the_id(); ?>" href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">
					    								<?php if (has_post_thumbnail( $loop->post->ID )) 
					    								echo get_the_post_thumbnail($loop->post->ID, 'shop_catalog');
					    								else
					    									echo '<img src="'.get_template_directory_uri().'/images/default.png" alt="Placeholder" width="100%" height="200px" />'; ?>	
					    							</a>
					    					</div>
					    					<div class="ht-featured-social-id">
					    						<!-- <a id="id-<?php //the_id(); ?>" href="<?php// the_permalink(); ?>" title="<?php// the_title(); ?>"><i class="fa fa-shopping-cart"></i></a> -->
					    						<?php
					    							$product->is_icon = true;
					    							woocommerce_template_loop_add_to_cart( $loop->post, $product ); ?>
					    						<!-- <?php //woocommerce_template_loop_add_to_cart( $loop->post, $product ); ?> -->
					    						<a id="id-<?php the_id(); ?>" href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><i class="fa fa-eye"></i></a>
					    						<!--<a target="_blank" href="http://localhost/project/official/multipurpose-ecommerce/product/products1/"><i class="fa fa-list-alt"></i></a>-->
					    					</div>
					    					<div class="total-product-title-wrap">
					    						<a id="id-<?php the_id(); ?>" href="<?php the_permalink(); ?>" title="<?php the_title(); ?>">	
					    							<h6><?php the_title(); ?></h6></a>
					    							<span class="price"><?php echo $product->get_price_html(); ?></span>
					    						</div>
					    					</div>
					    				</div><!-- /span3 -->
					    				<?php
					    			endwhile; 
					    		}else{ ?>
					    			<div class="alert alert-warning text-center">
					    				<strong>Sorry, no recent products to show.</strong>
					    			</div>
					    			<?php
					    		}
					    		?>
					    		<!-- </div>-->
					    		<!-- </div>-->
					    		<?php
					    		wp_reset_query(); 
					    	}else{ ?>
					    		<div class="alert alert-warning text-center">
					    			Kindly Install or Activate the WooCommerce plugin.
					    		</div>
					    		<?php
					    	}?>
					    </div>
					</div><!-- /row-fluid -->
				</div>
			</div>
		</div>
		<div class="clearfix"></div>

	</div>
</section>
<?php 